/*
 * Class CURSOR_STRUCTURE [REAL_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2145 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2145 [] = {0xFF01,1551,2144,857,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2145 [] = {0xFF01,2144,857,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2145 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2145 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2145 [] = {0xFF01,2144,857,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2145 [] = {0xFF01,2144,857,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2145 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2145 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2145 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2145 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2145 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2145 [] = {2144,857,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2145 [] = {0xFF01,2144,857,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2145 [] = {0xFF01,2141,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2145 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2145 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_2145 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_2145[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2145), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2145), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2145), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2145), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2145), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2145), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2145), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2145), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2145), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2145), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2145), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2145), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2145), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2145), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8668, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8669, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8670, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8671, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8672, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2145), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2145), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9051, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9052, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9053, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2145), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9103, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_2145), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init2145(void)
{
	IDSC(desc_2145, 0, 2144);
	IDSC(desc_2145 + 1, 1, 2144);
	IDSC(desc_2145 + 32, 1134, 2144);
	IDSC(desc_2145 + 41, 1135, 2144);
	IDSC(desc_2145 + 50, 1060, 2144);
	IDSC(desc_2145 + 56, 254, 2144);
	IDSC(desc_2145 + 59, 778, 2144);
}


#ifdef __cplusplus
}
#endif
